import React, { useState, useEffect } from 'react';
import {FormComponent} from '@formbird/types';
import { convertToCustomElement } from '../utils/CustomElementWrapper';
import testImage from '../images/test.jpg';

const ReImageTestComponent = ({
  document,
  fieldValue,
  template,
  fieldName,
  formParameters,
  key,
  responsiveLayouts,
  message,
  componentDefinition
}) => {

  const [value, setValue] = useState();

  useEffect(() => {
    if (fieldValue) {
      setValue(fieldValue);
    } else if (componentDefinition.defaultValue) {
      setValue(componentDefinition.defaultValue);
    }
  }, []);

  return (
    <div>
      <img src='{testImage}' alt="test image" />
    </div>
  );
};

// register the component as a custom element so it can be shown in formbird
convertToCustomElement('re-image-test', ReImageTestComponent);

export default ReImageTestComponent;
